# Class: AddOnUpdateResult

## AddOnUpdateResult

#### new AddOnUpdateResult(commitObj)

  Represents the report format add-ons resolves with after an update. There is no need for the add-on to report if it made changes or not, the monitor/manager will always persist and if there are no changed objects

  - it won't commit to the storage.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `commitObj` | object | commitObj

### Methods

#### addCommitMessage(addOn, msg)

  Create or appends to the commit message.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `addOn` | AddOnBase |
  `msg` | string |

#### addNotification(addOn, notification)

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `addOn` | AddOnBase |
  `notification` | Notification |

#### Search results